%define ver_major 1.3

Name: gnome-volume-manager
Version: %ver_major.2
Release: alt1

Summary: The GNOME Volume Manager
License: GPL
Group: Graphical desktop/GNOME
Url: http://www.gnome.org

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

%define dbus_ver 0.22
%define hal_ver 0.4.4
%define gnome_vfs_ver 2.10.1-alt2

BuildPreReq: menu-devel
BuildPreReq: libdbus-devel >= %dbus_ver
BuildPreReq: libhal-devel >= %hal_ver
BuildPreReq: gnome-vfs2-devel >= %gnome_vfs_ver

Requires: hal >= %hal_ver
Requires: dbus >= %dbus_ver
Requires: gnome-vfs2 >= %gnome_vfs_ver

# Automatically added by buildreq on Tue Jan 11 2005
BuildRequires: XFree86-devel XFree86-libs GConf2 ORBit2-devel esound fontconfig freetype2 glib2-devel gnome-vfs2-devel libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libdbus-devel libdbus-glib-devel libglade2-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libhal-devel libpango-devel libpopt-devel libxml2-devel perl-XML-Parser pkgconfig

%description
The GNOME Volume Manager monitors volume-related events and responds
with user-specified policy. The GNOME Volume Manager can automount
hot-plugged drives, automount inserted removable media, autorun
programs, automatically play audio CDs and video DVDs, and automatically
import photos from a digital camera. The GNOME Volume Manager does this
entirely in user-space and without polling.

The GNOME Voume Manager sits at the top end of a larger picture that
aims to integrate the Linux system from the kernel on up through the
desktop and its applications.

%prep
%setup -q

%build
%configure --disable-schemas-install
%make_build gnome_volume_properties_LDFLAGS=-export-dynamic

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# menu
%__mkdir_p %buildroot%_menudir
freedesktop2menu.pl %name "Configuration/Gnome" \
    %buildroot%_datadir/applications/gnome-volume-properties.desktop \
    %buildroot%_menudir/%name

%find_lang --with-gnome %name

%post
%update_menus
%gconf2_install %name

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%_datadir/applications/*
%_datadir/%name
%_menudir/*
%config %_sysconfdir/gconf/schemas/*
%doc AUTHORS ChangeLog HACKING NEWS README TODO

%changelog
* Fri Jul 15 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.3.2-alt1
- 1.3.2

* Mon Jun 13 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.2.2-alt1
- 1.2.2

* Thu Mar 31 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.2.1-alt1
- 1.2.1

* Tue Mar 08 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.2.0-alt1
- 1.2.0

* Wed Feb 02 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.1.3-alt1
- 1.1.3

* Wed Jan 12 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.1.2-alt1
- 1.1.2

* Tue Jan 11 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.0.2-alt1
- First build for Sisyphus.

